| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::key_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::key_error:

## Public Member Functions
| key_error (const std::string &what)
unsigned | code (void) const override
key_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::lookup_error
| lookup_error (const std::string &what)
unsigned | code (void) const override
lookup_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Raised when a dictionary-like object is trying to be indexed by an invalid key.

This includes the property tree.

## Constructor & Destructor Documentation

## ◆ key_error()

uhd::key_error::key_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::key_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

key_error * uhd::key_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::key_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp